---
title: Charlie's Hero Hunt
countries:
- usa
statesprovinces:
- Minnesota
categories:
- hunting
- shooting
tags:
- bird
orgURL: http://scottcountypf125.org/links/
---
What is Charlie's Hereos Hunt and Great Outdoor day
It is a day of camaraderie...
A day just for you...
A day of reconnecting...
Whichincludes a full breakfast, snacks
& lunch; ammunition (12 GA only);
mixed bird hunt - Trap shoot and
so much more...
Guides and Dogs are supplied!!
